Subject: Re: repo.eclipse.org outage breaking all our linux CI jobs

From: Junio C Hamano <[email-masked]>
Date: Fri, 25 Apr 2025 08:20:25 -0700

shejialuo <[email-masked]> writes:

> I want to know whether we should use the "cache" mechanism of CI for
> these third-party softwares? I somehow feel strange that we would
> download these softwares in every CI.

It also feels wasteful to me that the CI jobs need to do a full
install-dependencies.sh over and over, instead of running it once
(per platform type), dumping the state, and let all the other jobs
on the same platform type to restart from that state ;-).